

// Variables
@import "variables";

@import "hummingbird-treeview.css";
.select2 {
  width: 100% !important;
}
.overlay {
  overflow: hidden;
}
.overlay > p {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 50%;
  margin-left: -25%;
  margin-top: 20px;
  text-align: center;
}

#treeview {
  padding-left: 0;
  list-style: none;
  ul {
    list-style: none;
  }
  li {
    > label {
      width: 90%;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      display: inline-block;
      vertical-align: middle;
    }
    input {
      margin: 0.1em 0.5em;
    }
  }
}
.btn-clipboard {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 10;
  display: block;
  padding: 4px 8px;
  font-size: 12px;
  color: $text-muted;
  cursor: pointer;
  background-color: transparent;
  border: 0;
  border-top-right-radius: 4px;
  border-bottom-left-radius: 4px;
  &:hover {
    background-color: $brand-primary;
    color: #fff;
  }
}

.dataTables_wrapper {
  margin-right: 20px;
}

.table.dataTable {
  th:last-child {
    max-width: 8em !important;
    min-width: 8em !important;
  }
  td:last-child {
    max-width: 8em !important;
    min-width: 8em !important;
    white-space: nowrap;
    > a, > form {
      padding: 0 0.5em;
    }
    form {
      display: inline-block;
    }
  }
}

.service-point-icon > div {
  border-radius: 50%;
  border: 18px solid #fff;
  width: 20px;
  height: 20px;
  div {
    width: 20px;
    height: 20px;
    position: absolute;
    top: 8px;
    left: 9px;
    margin: 0;
    padding: 0;
    z-index: 2;
    i {
      font-size: 16px;
    }
  }
  &::before {
    position: absolute;
    content: '';
    width: 0px;
    height: 0px;
    bottom: -48px;
    left: 1.5px;
    border: 16px solid transparent;
    border-top: 26px solid #fff;
    border-top-color: inherit;
    z-index: 1;
    overflow: visible;
  }
  &::after {
    content: '';
    border-radius: 8px;
    position: absolute;
    top: 30px;
    left: 25px;
    height: 20px;
    width: 8px;
    transform: skew(-55deg, 0);
    background: rgb(56,56,56);
    background: radial-gradient(circle, rgba(0,0,0,0.4) 0%, rgba(0,0,0,0.2) 49%, rgba(0,0,0,0) 100%);
  }
  .svg-tooltip {
    top: 0px;
    right: 2px;
    position: absolute;
  }

}
.range-values {
  clear:both;
  text-align: center;
  .range-value {
    font-size: small;
    color: #bbb;
    display: inline-block;
    &.min {
      float:left;
    }
    &.max {
      float: right;
    }
  }
}
.no-selection {
  color: #aaa;
  text-align: center;
}
.info-box.sm {
  min-height: 55px;
  .info-box-icon {
    height: 55px;
    width: 55px;
    font-size: 22px;
    line-height: 55px;
    i {
      line-height: 55px;
    }
  }
  .info-box-content {
    margin-left: 55px;
  }
}
.leaflet-popup-content {
  p.title {
    span.icon {
      display: inline-block;
      height: 2em;
      width: 2em;
      line-height: 2em;
      text-align: center;
      margin-right: 0.2em;
      i {
        line-height: 2em;
      }
    }
    span.text {
      font-weight: bold;
    }
  }
}
.custom-cluster {
  border-radius: 50%;

  width: 40px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  > div {
    border-radius: 50%;
    font-weight: bold;
    font-size: 1.1em;
    &:before{
      content:'';
      opacity: 0.7;
      background-color: #33AAE0;
      position: absolute;
      top: -3px;
      width: 46px;
      height: 46px;
      left: -3px;
      border-radius: 50%;
      z-index: -1;
    }
  }
}

ul.selection {
  margin: 0;
  padding: 0;
  list-style: none;
  > li {
    border: 1px solid #eee;
    > div {
      display:block;
      padding: 8px 0 8px 12px;
      background: #eee;
      .btn {
        margin-top: -8px;
        border-radius: 0;
      }
    }
  }
  ul {
    margin: 0;
    padding: 0.5em;
    list-style: none;
    li {
      color: #666;
      font-size: 0.8em;
    }
  }
}

.content-header {
  > h1 {
    display: inline-block;
    max-width: 60%;
  }
  > ol.breadcrumb {
    max-width: 40%;
    display:inline-block;
    text-align: right;
    >li > a {
      display:inline;
    }
    li {
      max-width: 180px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }
}


.skin-blue .main-header .logo-account {
  background-color: #3c8dbc;
  color: #fff;
  border-bottom: 0 solid transparent;
}


.leaflet-popup-content {
  max-height: 300px;
  overflow-y: auto;
}

.form-group.has-error2 label {
  color: #dd4b39;
}
.form-group.has-error2 .form-control,
.form-group.has-error2 .input-group-addon {
  border-color: #dd4b39;
  box-shadow: none;
}
.form-group.has-error2 .help-block {
  color: #dd4b39;
}

#stats {
  .box-body {
    padding: 0;
  }
  h5 {
    margin: 0;
    padding: 0.5em;
    background: #ececec;
    text-align: center;
    font-size: 1.1em;
    color: #444;
    font-weight: bold;
  }
  th {
    color: #666;
  }
}
#search-services .info-box {
  cursor: pointer;
}
#search-services .info-box:not(.selected) {
  .info-box-icon {
    background-color: #ccc !important;
  }
  .info-box-text, .info-box-number, .info-box-text small {
    color: #bbb !important;
  }
}

#modal-my-selection {
  .modal-dialog {
    overflow-y: initial !important;
    max-height: 80%;
    .modal-body{
      height: 60%;
      overflow-y: auto;
    }
  }
}

#search-context-main {
  padding: 20px;
}

#search-services ul.selection {
  display:none;
}

.my-selection button {
  // background: transparent;
  // border: none;
  // border-bottom: 2px solid blue;
  // text-decoration: underline;
  // padding-bottom: 5px;
  margin: 30px 0;
  text-transform: uppercase;
}

@media print {
  #search-map {
    display: none;
  }

  #search-services ul.selection {
    display:block;
  }
  .col-md-8 {
    page-break-inside: avoid;
  }
  .col-md-4, .col-md-8 {
    display:block;
    flex-basis: 100%;

    max-width: 100% !important;
    float: none;
    margin-left: 0;
    margin-right: 0;
  }
  .leaflet-popup-pane, .freshwidget-button, .footer, .main-footer, #print, .leaflet-control, .leaflet-bar, #freshwidget-button, .freshwidget-theme, #tarteaucitronRoot, .remove-selected, .range-values, .custom-range, body > :not(#search-context-main) > *, h5, ul.nav.nav-tabs, button.add-all, button.remove-all, .itinerary-btn, .reset_button, #modal-my-selection, .my-selection button, .remove-all, .itinerary-btn, .search-fields  {
    display: none !important;
  }
  body > .show, body .show, #search-context-main, #search-context-main * {
    //display: inherit;
  }
    a[href]:after {
        content: none !important;
    }
  body > :not(#search-context-main) .show {
    display: inherit !important;
  }
  #search-context-main > .col-md-4 > .box:first-child {
    > .box-body > .form-group:first-child, #search-context-main > .col-md-4 > .box > #search-services > script#search-service-template {
      display: none;
    }
    .address-search, .select2, h4 {
      display:none;
    }
    .address.hidden, .radius.hidden {
      display:block !important;
    }
    .form-group {
      float: left;
      width: 45%;
      margin-right: 5%;
    }
    .form-group:last-child {
      margin-right: 0;
    }
  }
  li.selected-point {
    margin-top: 0.5em;
    border: 1px solid #ccc;

    > strong {
      border-bottom: 1px solid #ededed;
      min-height: 1em;
    }
  }

  .box {
    border-left: 1px solid #eee;
    border-right: 1px solid #eee;
    border-bottom: 1px solid #eee;
  }
  .fa, .group-marker-icon {
    -webkit-print-color-adjust: exact !important;
    color-adjust: exact !important;
    vertical-align: middle;
  }
  .info-box-icon {
    overflow: hidden;
    position: relative;
    > .fa {
      color: #fff !important;
      -webkit-print-color-adjust: exact !important;
      color-adjust: exact !important;
    }
     > span {
      display: block;
      position: absolute;
      top: 0;
      right: 0;
      left: 0;
      z-index: -1;
      border-bottom-width: 1000px;
      border-bottom-style: solid;
    }
  }
}

a:focus
 {
  box-shadow: 0px 0px 0px 1px white, 0px 0px 0px 2px black;
}

/* ---- RESPONSIVE POP UP CONTEXT SEARCH ---- */
@media (min-width: 641px) {
  .scrollable-popup-content {
    height: 280px;
    overflow: auto;
    min-width: 250px;
  }
}
@media (max-width: 640px) {
  .leaflet-popup-content {
    max-width: 180px;
    margin: 8px 12px;
  }
  .scrollable-popup-content {
    height: auto!important;
  }
  .leaflet-popup .title {
    max-width: 180px;
  }
  #popup-custom-content {
    max-width: 180px;
  }
}
/* ---- SERVICE : ICON MANAGE MODAL ---- */
@media (min-width: 813px) {
  #icon-modal-service .modal-dialog {
    width:800px;
  }
}
#icon-modal-service #addIcon {
  background: rgb(210, 240, 247);
}
#icon-modal-service #addIcon .card {
  padding: 10px;
}
#icon-modal-service .nav-pills {
  margin-left: 15px;
  text-align: center;
}
#icon-modal-service .nav-pills>li {
  width:49%;
  background-color: #f2f2f2;
}
#icon-modal-service .nav-pills>li.active {
  background-color: #3c8dbc;
}
#icon-modal-service .nav-pills>li>a {
  border-top: none;
}
#icon-modal-service #ico {
  margin-bottom: 15px;
}
#icon-modal-service .iconpicker {
  overflow: visible;
}
#icon-modal-service .iconpicker-popover {
  width: 100%;
  float: left;
}
.font-weight-normal {
  font-weight: normal!important;
}
.radio-import {
  margin-right: 10px;
}
.radio-import input{
  margin-right: 5px;
}

button[class^='container-'] {
    width: 38px;
    height: 38px;
    background: white;
    margin: 0 12px 12px 0;
    border-radius: 5px;
    box-shadow: 0 0 0 1px #ddd;
    border: none;
}

.select2-container--default .select2-results__option[aria-selected=true] {
  background-color: lightgrey!important;
}
li.active {
  background-color : lightgrey!important;
}